Community
cancel
Showing results for 
Search instead for 
Did you mean: 
MMoha9
Beginner
167 Views

OPENVINO WITH CYCLONE 5 FPGA

 

Hello, i was trying do test inference engine with cyclone 5 fpga on the starterkit openvino (C5P <=>OSK ).

when i tried to do the inference on fpga : i got this error:

 

root@UP2:/opt/intel/2019_r1/openvino/deployment_tools/terasic_demo/demo# ./02_security_barrier.sh fpga

target_device = HETERO:FPGA,CPU

target_precision = FP16

 

 

###################################################

 

Build Inference Engine samples

 

[ INFO ] InferenceEngine:

   API version ............ 1.6

   Build .................. custom_releases/2019/R1_c9b66a26e4d65bb986bb740e73f58c6e9e84c7c2

[ INFO ] Parsing input parameters

[ INFO ] Capturing video streams from the video files or loading images

[ INFO ] Files were added: 1

[ INFO ]    /opt/intel/2019_r1/openvino/deployment_tools/terasic_demo/demo/pic_video/car_barrier.bmp

[ INFO ] Number of input image files: 1

[ INFO ] Number of input video files: 0

[ INFO ] Number of input channels: 1

[ INFO ] Display resolution: 1920x1080

[ INFO ] Loading plugin HETERO:FPGA,CPU

 

   API version ............ 1.6

   Build .................. heteroPlugin

   Description ....... heteroPlugin

[ INFO ] Loading plugin CPU

 

   API version ............ 1.6

   Build .................. 22443

   Description ....... MKLDNNPlugin

[ INFO ] Loading network files for VehicleDetection

[ INFO ] Batch size is forced to 1

[ INFO ] Checking Vehicle Detection inputs

[ INFO ] Checking Vehicle Detection outputs

[ INFO ] Loading Vehicle Detection model to the HETERO:FPGA,CPU plugin

terminate called after throwing an instance of 'dla::error'

 

 

i fact, the board is only connected to laptop using JTAG cable , there is not PCIe connection.

 

so anyone have any suggestions about this error?

should i connect the board with PCIe slot to the host to do inference?

thanks in advance

 

0 Kudos
2 Replies
Shubha_R_Intel
Employee
167 Views

Dear

Oussayran, Mohamad,

At minimum you will require an OpenCL BSP that can communicate with the board. Cyclone5 is not one of the platforms we officially support.

Hope it helps,

Thanks,

Shubha

MMoha9
Beginner
167 Views

hello,

thank you for your answer.

About the BSP, I already downloaded the BSO from terasic website. but what I want to know is: 

1- should I connect the board to a PCIe slot ? to load the bitstream

2- which Altera OpenCL version should I use? and do I need a license?  I already downloaded the 17.1 which is the intel OpenCL SDK

3- if i download the altera opencl SDK, it should work normally with the openvino toolkit 2019.1 r1 for the cyclone 5 ? 

Regards

Reply